<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetState Method (IEdmWorkflow6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmWorkflow6 Interface : GetState Method (IEdmWorkflow6)

Visual Basic
C#
C++/CLI

poIdOrName
  ID or name of workflow state to get

Gets the workflow state with the specified ID or name.

# Syntax

Visual Basic |
--- | ---

    Function GetState( _
       ByRef poIdOrName As System.Object _
    ) As IEdmState6

C# |
--- | ---

    IEdmState6 GetState(
       ref System.object poIdOrName
    )

C++/CLI |
--- | ---

    IEdmState6^ GetState(
    &   System.Object^% poIdOrName
    )

#### Parameters

poIdOrName
  ID or name of workflow state to get

#### Return Value

IEdmState6; Null if poIdOrName is invalid

# Remarks

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmState6.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: poIdOrName contains an invalid name.
- E_EDM_INVALID_ID: poIdOrName contain an invalid ID.

# See Also

####

IEdmWorkflow6 Interface
IEdmWorkflow6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0